<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\MappedSuperclass()
 */
abstract class PointSaleDayInfo extends AbstractEntity
{
        /**
         * @ORM\Column(type="boolean")
         */
        protected $active;

        /**
         * @ORM\Column(type="smallint")
         */
        protected $day;

        /**
         * @ORM\Column(type="text", nullable=true)
         */
        protected $description;

        /**
         * @ORM\ManyToOne(targetEntity="Lc\ShopBundle\Context\PointSaleInterface", inversedBy="pointSaleDayInfos")
         * @ORM\JoinColumn(nullable=false)
         */
        protected $pointSale;

        public function getActive(): ?bool
        {
                return $this->active;
        }

        public function setActive(bool $active): self
        {
                $this->active = $active;

                return $this;
        }

        public function getDay(): ?int
        {
                return $this->day;
        }

        public function setDay(int $day): self
        {
                $this->day = $day;

                return $this;
        }

        public function getDescription(): ?string
        {
                return $this->description;
        }

        public function setDescription(?string $description): self
        {
                $this->description = $description;

                return $this;
        }

        public function getPointSale(): ?PointSale
        {
                return $this->pointSale;
        }

        public function setPointSale(?PointSale $pointSale): self
        {
                $this->pointSale = $pointSale;

                return $this;
        }
}
